<?php

	include_once('conexion.php');

	

	// Deshabilitamos restricciones de claves foráneas

	mysqli_query($conexion, "SET FOREIGN_KEY_CHECKS = 0;");

	

	// Eliminamos las tablas

	$sql = "DROP TABLE IF EXISTS usuario";

	mysqli_query($conexion, $sql);



	$sql = "DROP TABLE IF EXISTS venta";

	mysqli_query($conexion, $sql);



	$sql = "DROP TABLE IF EXISTS cliente";

	mysqli_query($conexion, $sql);



	$sql = "DROP TABLE IF EXISTS prdhvo";

	mysqli_query($conexion, $sql);



	$sql = "DROP TABLE IF EXISTS controlconos";

	mysqli_query($conexion, $sql);

	

	// Volvemos a habilitar restricciones de claves foráneas

	mysqli_query($conexion, "SET FOREIGN_KEY_CHECKS = 1;");



	// Creamos las tablas

	$sql = "CREATE TABLE usuario (

	    idusu INT AUTO_INCREMENT PRIMARY KEY,

	    usu TEXT NOT NULL,

	    con CHAR(8) NOT NULL,

	    nomusu TEXT NOT NULL,

	    apellidosusu TEXT NOT NULL,

	    kildsp DECIMAL(10, 2),

	    usuario TINYTEXT COLLATE utf8_spanish2_ci

	) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish2_ci;";

	mysqli_query($conexion, $sql);



	$sql = "INSERT INTO `usuario` (`idusu`, `usu`, `con`, `nomusu`, `apellidosusu`, `kildsp`) VALUES

	        (1, 'admin', 'admin', 'Administrador', '',0);";

	mysqli_query($conexion, $sql);



	$sql = "CREATE TABLE cliente (

	    idclr INT AUTO_INCREMENT PRIMARY KEY,

	    nomclr TEXT NOT NULL,

	    mailclr TEXT,

	    telclr TEXT,

	    cliente TINYTEXT COLLATE utf8_spanish2_ci

	) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish2_ci;";

	mysqli_query($conexion, $sql);



	$sql = "CREATE TABLE venta (

	    idvta INT AUTO_INCREMENT PRIMARY KEY,

	    fecvta DATE NOT NULL,

	    idusu INT NOT NULL,

	    idclr INT NOT NULL,

	    kilvta DECIMAL(10, 2) NOT NULL,

	    prevta DECIMAL(10, 2) NOT NULL,

	    FOREIGN KEY (idusu) REFERENCES usuario(idusu),

	    FOREIGN KEY (idclr) REFERENCES cliente(idclr),

	    venta TINYTEXT COLLATE utf8_spanish2_ci

	) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish2_ci;";

	mysqli_query($conexion, $sql);

 

	$sql="CREATE TABLE prdhvo (

	    idprd INT AUTO_INCREMENT PRIMARY KEY, -- Identificador único, auto incrementable

	    numcns INT NOT NULL,                  -- Número de conos, requerido

	    fecprd DATE NOT NULL                  -- Fecha de producción, requerida

	) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish2_ci;";

	mysqli_query($conexion, $sql);



	$sql="CREATE TABLE controlconos (

    idcrl INT AUTO_INCREMENT PRIMARY KEY,  -- Identificador único del control (clave primaria)

    idusu INT NOT NULL,                    -- Identificador del vendedor

    numcon INT NOT NULL,                   -- Número de conos asignados al vendedor

    kilcon DECIMAL(10, 2) NOT NULL,        -- Peso total en kilos de los conos asignados

    feccon DATE NOT NULL,                  -- Fecha de registro del control

    precio DECIMAL(10, 2) NOT NULL,        -- Precio en el que se vendio el huevo

    FOREIGN KEY (idusu) REFERENCES usuario(idusu)  -- Relación con la tabla usuario

	) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_spanish2_ci;";

	mysqli_query($conexion, $sql);


	$sql = "DROP TABLE IF EXISTS gasto";
	mysqli_query($conexion, $sql);

	$sql="CREATE TABLE gasto (
    idgas INT AUTO_INCREMENT PRIMARY KEY, -- Identificador único del gasto
    FecGas DATE NOT NULL, -- Fecha del gasto
    idusu INT NOT NULL, -- ID del usuario que registró el gasto
    desgas VARCHAR(255) NOT NULL, -- Descripción del gasto
    cosgas DECIMAL(10,2) NOT NULL, -- Costo del gasto

    -- Clave foránea para relacionar con la tabla usuario
    FOREIGN KEY (idusu) REFERENCES usuario(idusu) ON DELETE CASCADE ON UPDATE CASCADE
	);";
	mysqli_query($conexion, $sql);



	// Redireccionamos al index

	header('location:index.php');

?>

